[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ShellCtrls' (#lcl)

# TCustomShellTreeView.Refresh

Updates the tree view to display file system objects starting at the specified tree node.

## Declaration

Source position: shellctrls.pas line 133

`public procedure TCustomShellTreeView.Refresh(`
`ANode: TTreeNode`
`); overload;`

## Arguments

`ANode` |  | Tree node with the initial path displayed in the shell control; Nil defaults to the root directory.

## Description

Refresh is an overloaded method in TCustomShellTreeView. It ensures that the tree node specified in ANode is selected and expanded to reveal its immediate first-level child nodes. When ANode is unassigned (Nil), the value in Root is updated for the tree view an associated list view control (when assigned). Setting the value in Root also populates the TShellTreeNode instances in the Items property.

Refresh is called when a new value is assigned to the ObjectTypes property.

## See also

TCustomShellTreeView.Items |  | Contains the tree nodes used to represent the hierarchical tree structure for the tree view control.
TCustomShellTreeView.Root |  | Indicates the directory or path which is the top-level node in the tree view.
TCustomShellTreeView.ShellListView |  | Connects this ShellTreeView to a ShellListView.
TCustomShellTreeView.ObjectTypes |  | Indicates the file system objects displayed using the control.